English
Log In
You can then view all documents
Installation/iOS/升级4500及以上版本注意事项
升级4500及以上版本注意事项
Last updated 2022-04-25 16:56:17
  • 为了兼容苹果的新政策,我们要求在45版本以上使用xcode13.1及以上版本进行编译;
  • 同时接入Pangle 和 CSJ的媒体或聚合平台, 需要首先设置territory. 如果你使用的是聚合的方式进行接入,聚合平台可能已经进行设置了,意味着你不需要再重新设置,具体可以参考聚合平台的文档;
  • 同时接入Pangle 和 CSJ的媒体或聚合平台, 若territory 指定为CSJ, 当错误的调用Pangle 特有方法时, 若SDKDEBUG为NO,则不执行任务逻辑. 若SDKDEBUG为YES, 则通过throw操作(app 崩溃)进行强提示;
  • v4500 接口层进行了抽象处理, 继承一个抽象的接口并不能有效进行功能扩展. 反而在业务逻辑和系统稳定性上产生隐患, 所以SDK禁止媒体继承抽象接口类, 若存在必要的功能扩展,可通过封装实现;
  • 接口层View视图类进行抽象处理,实例化的为具体实现视图类, 接口层View视图类的category将是不合适的,若存在必要的功能扩展,可通过封装实现;
  • 使用临时变量加载广告是错误的操作. 在SDK修复了内部内存泄漏后使用临时变量加载广告将不能完成广告加载;


Contents
Contact us